<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.rj.mapper.AudioUploadLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.rj.entity.YhyAudioUploadLog">
        <id column="id" property="id" />
        <result column="file_path" property="filePath" />
        <result column="content_type" property="contentType" />
        <result column="device_no" property="deviceNo" />
        <result column="server_url" property="serverUrl" />
        <result column="push_data_type" property="pushDataType" />
        <result column="file_name" property="fileName" />
        <result column="save_path" property="savePath" />
        <result column="chunk_index" property="chunkIndex" />
        <result column="start_time" property="startTime" />
        <result column="end_time" property="endTime" />
        <result column="usr_no" property="usrNo" />
        <result column="device_type" property="deviceType" />
        <result column="has_body" property="hasBody" />
        <result column="extended" property="extended" />
        <result column="user_id" property="userId" />
        <result column="user_name" property="userName" />
        <result column="user_phone" property="userPhone" />
        <result column="user_dept" property="userDept" />
        <result column="sync_stage" property="syncStage" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, file_path, content_type, device_no, server_url, push_data_type, file_name, 
        save_path, chunk_index, start_time, end_time, usr_no, device_type, has_body, 
        extended, user_id, user_name, user_phone, user_dept, sync_stage, create_time, update_time
    </sql>

</mapper>
